Bug 493586 - Default configuration files missing/wrong
Default configuration files missing/wrong
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wifi-radar (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin-Gomez Pablo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 07:40 EDT by Jeroen van Meeuwen
Modified: 2010-11-11 17:23 EST (History)
5 users (show)

See Also:
Fixed In Version: wifi-radar-2.0.s08-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 17:19:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2009-04-02 07:40:42 EDT
Description of problem:

The default configuration file for wifi-radar does not exist. The default according to the application is /etc/wifi-radar.conf. This file does not exist.

Version-Release number of selected component (if applicable):

[root@localhost ~]# rpm -qv wifi-radar
wifi-radar-1.9.9-1.fc10.noarch

How reproducible:

# yum install wifi-radar
# wifi-radar

Actual results:

[root@localhost ~]# wifi-radar
Can't open /etc/wifi-radar.conf.
Are you root?

Expected results:

[root@localhost ~]# wifi-radar
(foo)

Additional info:

[root@localhost ~]# rpm -ql wifi-radar
/etc/pam.d/wifi-radar
/etc/security/console.apps/wifi-radar
/etc/wifi-radar
/etc/wifi-radar/wifi-radar.conf
/usr/bin/wifi-radar
/usr/sbin/wifi-radar
/usr/share/applications/fedora-wifi-radar.desktop
/usr/share/doc/wifi-radar-1.9.9
/usr/share/doc/wifi-radar-1.9.9/COPYING
/usr/share/doc/wifi-radar-1.9.9/DEVELOPER_GUIDELINES
/usr/share/doc/wifi-radar-1.9.9/README
/usr/share/doc/wifi-radar-1.9.9/TODO
/usr/share/man/man1/wifi-radar.1.gz
/usr/share/man/man5/wifi-radar.conf.5.gz
/usr/share/pixmaps/wifi-radar.png
/usr/share/pixmaps/wifi-radar.svg
[root@localhost ~]# ls -l /etc/wifi-radar/wifi-radar.conf
ls: cannot access /etc/wifi-radar/wifi-radar.conf: No such file or directory
Comment 1 Bug Zapper 2009-11-18 06:40:02 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Alain Portal 2009-12-27 05:49:48 EST
Can we hope for a fix?
Comment 3 Martin-Gomez Pablo 2010-01-03 09:57:20 EST
Try to use the rawhide version. It doesn't for me but I've seen a message on the fedora-list so you will see. If it works, I will plan to push the update in update-testing.
Comment 4 Alain Portal 2010-01-03 15:25:11 EST
The rawhide version (2.0.s06-1.fc13) fixes this bug.
Comment 5 Håkon Løvdal 2010-10-25 13:08:18 EDT
This is still the case on current Fedora 12:

$ rpm -V wifi-radar
$ rpm -qf /usr/sbin/wifi-radar
wifi-radar-1.9.9-3.fc12.noarch
$ grep wifi-radar.conf /usr/sbin/wifi-radar
CONF_FILE                = "/etc/wifi-radar.conf"
$ rpm -ql wifi-radar | grep wifi-radar.conf
/etc/wifi-radar/wifi-radar.conf
/usr/share/man/man5/wifi-radar.conf.5.gz
$

Since this is trivial to fix, please consider making an update.
Comment 6 Martin-Gomez Pablo 2010-10-25 14:39:00 EDT
Yes, I don't have updated the version in Fedora 12, I will try to do it the week end and update to s08 in the same time.
Comment 7 Fedora Update System 2010-11-01 11:54:48 EDT
wifi-radar-2.0.s08-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wifi-radar-2.0.s08-1.fc14
Comment 8 Fedora Update System 2010-11-01 12:21:09 EDT
wifi-radar-2.0.s08-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/wifi-radar-2.0.s08-1.fc13
Comment 9 Fedora Update System 2010-11-01 12:50:18 EDT
wifi-radar-2.0.s08-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/wifi-radar-2.0.s08-1.fc12
Comment 10 Fedora Update System 2010-11-02 18:15:03 EDT
wifi-radar-2.0.s08-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wifi-radar'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/wifi-radar-2.0.s08-1.fc14
Comment 11 Bug Zapper 2010-11-04 07:23:34 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora Update System 2010-11-11 17:19:27 EST
wifi-radar-2.0.s08-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-11-11 17:22:18 EST
wifi-radar-2.0.s08-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-11-11 17:23:24 EST
wifi-radar-2.0.s08-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.